<?php

namespace Drupal\texts\Twig;

use Twig\Extension\AbstractExtension;
use Twig\TwigFilter;

/**
 * A Twig extension for the Symfony translation component.
 */
class TextsExtension extends AbstractExtension {

  /**
   * {@inheritdoc}
   */
  public function getFilters() {
    return [
      new TwigFilter('getText', 'getText', ['is_safe' => ['html']]),
      new TwigFilter('getTextPlural', 'getTextPlural', ['is_safe' => ['html']]),
    ];
  }

}
